#!/usr/bin/env node

const program = require('commander');
const init = require('./init');
const utils = require('./utils')
const logError =utils.logError
const logSuccess =utils.logSuccess
const logDoc =utils.logDoc

program
    .version('1.0.4');

program
    .command('init <projectName> [template]')
    .description('初始化项目。必须输入项目名称，可选输入模板名称。')
    .action((projectName,template)=>{
        init(projectName,template)
    })

if (!process.argv.slice(2).length) {
    program.help(()=>{
        return logError('缺少命令\n请使用-h或--help查看，或参考')+logDoc()
    });
}

//检查未知命令
let commandList = ['-h','-V','init','publish','page']
if(commandList.toString().indexOf(process.argv[2]) === -1){
    console.log(logError('hz-cli:命令不正确\n请使用-h或--help查看，或参考')+logDoc())
}

program.parse(process.argv);