var download = require('download-git-repo')
var ora = require('ora')
var fs = require('fs')
var logError = require('./utils').logError

module.exports = function (name,template) {
    var spinner = ora('downloading')

    if(!template){
        template = 'luckyli/gulp-template'
    }else {
        template = 'luckyli/'+template
    }
    if (fs.existsSync(name)) {
        //rm(name)
        console.log(logError('项目已经存在，请确认'))
        return
    }
    console.log('将创建%s文件夹',name)
    spinner.start()
    download(template, name, {}, function (err) {
        if(err){
            spinner.fail('失败:'+err)
            err.toString().indexOf('404')!==-1 && console.log('请确定模板文件是否正确')
        }else {
            spinner.succeed('下载成功')
            var tmpConfig =
                'const config = {\n'+
                '    projectName: \''+name+'\',     //发布项目名称\n'+
                '    sourcePath: \'./source/\',     //项目开发目录\n'+
                '    appPath: \'./src/\',           //项目运行目录\n'+
                '    distPath: \'./dist/\',         //项目生成目录\n'+
                '    revPath: \'./rev/\',           //项目版本目录\n'+
                '    cdnPath: \'\',                 //项目CDN目录\n'+
                '    uglify: false,                 //是否启用压缩\n'+
                '    hash: false,                   //是否启用版本控制\n'+
                '    useftp: false,                 //是否启用FTP功能\n'+
                '    ftpOptions: {\n'+
                '        host: \'\',                //ftp地址\n'+
                '        port: 21,                  //ftp端口号\n'+
                '        user: \'\',                //ftp用户名\n'+
                '        pass: \'\',                //ftp密码\n'+
                '        remotePath: \'\'           //ftp上传目标路径\n'+
                '    }\n'+
                '}\n'+
                '\n' +
                'module.exports = config;'

            fs.writeFileSync('./'+name+'/config.js',tmpConfig)
            console.log()
            console.log('cd %s 进入目录',name)
            console.log('npm install   安装')
            console.log('npm run dev   测试')
            console.log('npm run build 构建')
        }
    })
}