var fs = require('fs')
const path = require('path')
const glob = require('glob')

const findBase = (npath)=>{
    let nowPath = npath?npath:process.cwd()
    let configPath = ''

    //向下查找
    configPath = glob.sync(nowPath+'/**/config',{
        ignore:'**/node_modules/**'
    })
    if(configPath.length > 1){
        console.log('config文件夹不唯一,无法定位项目根目录，请确认是否在项目目录中执行。')
        return
    }
    if(configPath.length === 1){
        return path.resolve(configPath[0],'..')
    }
    //向上查找
    while (true){
        if(path.resolve(nowPath,'..') === nowPath){
            console.log('未找到项目根路径,请确认是否在项目目录中执行。')
            return
        }
        configPath = path.resolve(nowPath,'config')
        if(fs.existsSync(configPath)){
            return path.resolve(configPath,'..')
        }else {
            nowPath = path.resolve(nowPath,'..')
        }
    }
}

const logError = (text)=>{
    return '\u001b[31m'+text+'\u001b[39m'
}
const logSuccess = (text)=>{
    return '\u001b[32m'+text+'\u001b[39m'
}
const logDoc = ()=>{
    return '\n\u001b[36m文档:\u001b[39mhttps://github.com/luckyli/gulp-template'
}

module.exports.findBase = findBase
module.exports.logError = logError
module.exports.logSuccess = logSuccess
module.exports.logDoc = logDoc